Page MenuHomePhabricator

Review and deploy Blackout extension
Closed, DeclinedPublic

Description

During the itwiki blackout for EU copyright directive on July, I learned that the extension is not used in any WMF wiki, and probably it has never been deployed. I also don't know who its maintainers are supposed to be, so I'm CC'ing @Varnent as he's the only one with +2 access on the repo. There's currently a pending patch (https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/Blackout/+/444363/) to make the extension customizable (see T198890) and, although it's not merged (again, I don't know who to add for review) that is the version for which I'm asking a review. Any change can be made there prior to merging, instead of creating new patches.
The following should be needed:

  • Security review
  • Performance review
  • Not sure if a design review is needed.
  • Wiki page already exists at https://www.mediawiki.org/wiki/Extension:Blackout, will need to be updated
  • I guess we need some sort of SEO related assessment to avoid problems like T199252
  • Creation of phab project tracked in T203227
  • Side toDo: add C/I tests (extension quibble, phan, taint-check)

Event Timeline

Daimona created this task.Aug 31 2018, 10:19 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 31 2018, 10:19 AM

What are we planning to blackout for?

What are we planning to blackout for?

@Bawolff Nothing. But I guess this extension should be in place for any eventualities, even if it won't be eventually used. Sometimes blackout are decided in a relatively short time, definitely too short to wait for a review. BTW, I'm also creating subtasks for needed reviews.

Well I agree that having things ready for a blackout ahead of time would be very nice (Cough last minute review of EUCopyrightCampaign T203095), we're probably not going to give this a deployment/formal security review unless there is general agreement that it will be the way forward to do blackout type stuff in the future.

(That said, I'm happy to review your individual patches)

Daimona updated the task description. (Show Details)Aug 31 2018, 10:42 AM

Well I agree that having things ready for a blackout ahead of time would be very nice (Cough last minute review of EUCopyrightCampaign T203095), we're probably not going to give this a deployment/formal security review unless there is general agreement that it will be the way forward to do blackout type stuff in the future.
(That said, I'm happy to review your individual patches)

Indeed, and *cough* itwiki blackout itself. Just a note: this isn't intended to be used for every blackout in the future. It may also end up being completely unused, if this type of blackout is considered to be too tough. But again, we should be prepared, shouldn't we?

Daimona updated the task description. (Show Details)Aug 31 2018, 12:08 PM

Just to mention that Blackout was deployed briefly to WMF sites when the SOPA/PIPA protest. It was later undeployed as there was no need to keep it there.

Just to mention that Blackout was deployed briefly to WMF sites when the SOPA/PIPA protest. It was later undeployed as there was no need to keep it there.

I don't think that's true. It was made for that, but I don't think SOPA used that in the end, but instead just used CentralNotice (AFAIK. Not super familar with the SOPA protest)

Krinkle added a subscriber: Krinkle.Sep 1 2018, 3:15 AM

Just to mention that Blackout was deployed briefly to WMF sites when the SOPA/PIPA protest. It was later undeployed as there was no need to keep it there.

I don't think that's true. It was made for that, but I don't think SOPA used that in the end, but instead just used CentralNotice (AFAIK. Not super familar with the SOPA protest)

Indeed. This extension has never been used by WMF. The 2012 SOPA blackout was deployed via a full-screen CentralNotice banner (and some adjustments to MediaWiki:Common.js as well).

we're probably not going to give this a deployment/formal security review unless there is general agreement that it will be the way forward to do blackout type stuff in the future.

Does that mean this is stalled (or declined)?

Bawolff closed this task as Declined.Feb 22 2019, 3:25 PM

I'm going to call this declined for now, but feel free to reopen if/when there is more consensus on doing this.

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptFeb 22 2019, 3:25 PM